WinGDI.BITMAP (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinGDI, class: BITMAP

Package com.sun.jna.platform.win32

# Class WinGDI.BITMAP

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinGDI.BITMAP

Enclosing interface:
  WinGDI

@FieldOrder({"bmType","bmWidth","bmHeight","bmWidthBytes","bmPlanes","bmBitsPixel","bmBits"}) public static class WinGDI.BITMAP extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Pointer`
  `bmBits`
  `short`
  `bmBitsPixel`
  `NativeLong`
  `bmHeight`
  `short`
  `bmPlanes`
  `NativeLong`
  `bmType`
  `NativeLong`
  `bmWidth`
  `NativeLong`
  `bmWidthBytes`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BITMAP()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### bmType

    public NativeLong bmType

  - ### bmWidth

    public NativeLong bmWidth

  - ### bmHeight

    public NativeLong bmHeight

  - ### bmWidthBytes

    public NativeLong bmWidthBytes

  - ### bmPlanes

    public short bmPlanes

  - ### bmBitsPixel

    public short bmBitsPixel

  - ### bmBits

    public Pointer bmBits

- ## Constructor Details

  - ### BITMAP

    public BITMAP()